> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete cloud storage providers

DELETE https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/users/{userId}/cloud_storage
Content-Type: application/json

Deletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/cloudstorage/cloudstorageproviders/deletelist

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `userId` (string, required) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.

### Body (application/json)

This endpoint expects a cloudStorageProviders.

- `storageProviders` (list of cloudStorageProvider, optional) — An Array containing the storage providers associated with the user.

## Response

### 200

Successful response.

- `storageProviders` (list of cloudStorageProvider, optional) — An Array containing the storage providers associated with the user.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### cloudStorageProvider

Contains details about a specific cloud storage provider.

- `authenticationUrl` (string, optional) — The authentication URL used for the cloud storage provider. This information is only included in the response if the user has not passed authentication for the cloud storage provider. If the redirectUrl query string is provided, the returnUrl is appended to the authenticationUrl.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `redirectUrl` (string, optional) — The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl. The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.
- `service` (string, optional) — The service name for the cloud storage provider.
- `serviceId` (string, optional) — The DocuSign generated ID for the cloud storage provider

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Request**

```json
{
  "storageProviders": [
    {
      "authenticationUrl": "sample string 1",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "redirectUrl": "sample string 2",
      "service": "sample string 3",
      "serviceId": "sample string 4"
    }
  ]
}
```

**Response**

```json
{
  "storageProviders": [
    {
      "authenticationUrl": "sample string 1",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "redirectUrl": "sample string 2",
      "service": "sample string 3",
      "serviceId": "sample string 4"
    }
  ]
}
```